using EVCB_OCPP.Packet.Features;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.Core
{
    public class UnlockConnectorRequest : IRequest
    {
        public UnlockConnectorRequest()
        {
            Action = Actions.UnlockConnector.ToString();
        }

        [JsonIgnore]
        public string Action { set; get; }

        [Required]
        public int connectorId { set; get; }
        public bool TransactionRelated()
        {
            return false;
        }

        public bool Validate()
        {
            return Validator.TryValidateObject(this, new ValidationContext(this), null, true);
        }
    }
}
